%global git0 https://github.com/projectatomic/%{name}
%global csslibdir %{_datadir}/%{name}
%global commit0         eb688d4aa378ad994d9399bae5247673fcac939e
%global shortcommit0    %(c=%{commit0}; echo ${c:0:7})

Name:           container-storage-setup
Version:        0.6.0
Release:        1.git%{shortcommit0}%{?dist}
Summary:        A simple service to setup container storage devices

License:        ASL 2.0
URL:            http://github.com/projectatomic/%{name}/
Source0: %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
BuildArch: noarch

BuildRequires:  git
Requires:       lvm2
Requires:       xfsprogs

%description
This is a simple service to configure Container Runtimes to use an LVM-managed
thin pool.  It also supports auto-growing both the pool as well
as the root logical volume and partition table.

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build

%install
install -dp %{buildroot}%{_datadir}/%{name}
install -dp %{buildroot}%{_mandir}/man1
install -D -p -m 755 %{name}.sh %{buildroot}%{_bindir}/%{name}
install -p -m 644 %{name}.conf %{buildroot}%{csslibdir}/%{name}
install -p -m 755 libcss.sh %{buildroot}/%{csslibdir}
install -p -m 755 css-child-read-write.sh %{buildroot}/%{csslibdir}/css-child-read-write
install -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
#%{__make} install-core DESTDIR=%{buildroot}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%dir %{csslibdir}
%{_mandir}/man1/%{name}.1*
%{csslibdir}/%{name}
%{csslibdir}/css-child-read-write
%{csslibdir}/libcss.sh

%changelog
* Thu Jul 6 2017 Dan Walsh <dwalsh@redhat.com> - 0.6.0-1.giteb688d4
- Fix sfdisk failure on older sfdisk

* Wed Jun 07 2017 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.0-1.git9b77bcb
- rebase

* Wed Apr 12 2017 Dan Walsh <dwalsh@redhat.com> - 0.3.0-1
- Rewrite to handle new CLI

* Tue Apr 04 2017 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.2.0-2
- Resolves: #1437604
- built commit aa1a54f

* Fri Mar 03 2017 Dan Walsh <dwalsh@redhat.com> - 0.2.0-1
- Add License
- Add compatibility mode flag to only do docker specific stuff if INPUTFILE
not specified.
- Minor Bug fixes for non docker use cases

* Thu Mar 02 2017 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.0-2
- Resolves: #1427295 - initial package on rawhide
- misc macro changes
- preserve timestamps

* Mon Feb 27 2017 Dan Walsh <dwalsh@redhat.com> - 0.1.0-1
- Initial version of container-storage-setup
- Building to push through the fedora release cycle

* Thu Oct 16 2014 Andy Grimm <agrimm@redhat.com> - 0.0.1-2
- Fix rpm deps and scripts

* Thu Oct 16 2014 Andy Grimm <agrimm@redhat.com> - 0.0.1-1
- Initial build

